# Microsoft.Samples.DirectX.UtilityToolkit.Checkbox Class Reference

Checkbox control. More...

Inherits Microsoft::Samples::DirectX::UtilityToolkit::Button, Microsoft::Samples::DirectX::UtilityToolkit::Button, and Microsoft::Samples::DirectX::UtilityToolkit::Button.

Inherited by Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.Checkbox:

[legend]

List of all members.

## Public Member Functions
| Checkbox (Dialog parent)
| Create new checkbox instance.
override void | OnHotKey ()
| Override hotkey to fire event.
override bool | ContainsPoint (System.Drawing.Point pt)
| Does the control contain the point?
override void | Render (Device device, float elapsedTime)
| Render the checkbox control.
override bool | HandleKeyboard (NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle the keyboard for the checkbox.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle mouse messages from the checkbox.
| Checkbox (Dialog parent)
| Create new checkbox instance.
override void | OnHotKey ()
| Override hotkey to fire event.
override bool | ContainsPoint (System.Drawing.Point pt)
| Does the control contain the point?
override void | Render (Device device, float elapsedTime)
| Render the checkbox control.
override bool | HandleKeyboard (NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle the keyboard for the checkbox.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle mouse messages from the checkbox.
| Checkbox (Dialog parent)
| Create new checkbox instance.
override void | OnHotKey ()
| Override hotkey to fire event.
override bool | ContainsPoint (System.Drawing.Point pt)
| Does the control contain the point?
override void | Render (Device device, float elapsedTime)
| Render the checkbox control.
override bool | HandleKeyboard (NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle the keyboard for the checkbox.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle mouse messages from the checkbox.
## Public Attributes
const int | BoxLayer = 0
const int | CheckLayer = 1
## Protected Member Functions
void | RaiseChangedEvent (Checkbox sender, bool wasTriggeredByUser)
| Create new button instance.
virtual void | SetCheckedInternal (bool ischecked, bool fromInput)
| Sets the checked state and fires the event if necessary.
override void | UpdateRectangles ()
| Update the rectangles.
void | RaiseChangedEvent (Checkbox sender, bool wasTriggeredByUser)
| Create new button instance.
virtual void | SetCheckedInternal (bool ischecked, bool fromInput)
| Sets the checked state and fires the event if necessary.
override void | UpdateRectangles ()
| Update the rectangles.
void | RaiseChangedEvent (Checkbox sender, bool wasTriggeredByUser)
| Create new button instance.
virtual void | SetCheckedInternal (bool ischecked, bool fromInput)
| Sets the checked state and fires the event if necessary.
override void | UpdateRectangles ()
| Update the rectangles.
## Protected Attributes
System.Drawing.Rectangle | buttonRect
System.Drawing.Rectangle | textRect
bool | isBoxChecked
## Properties
virtual bool | IsChecked`[get, set]`
| Checked property.
## Events
EventHandler | Changed

## Detailed Description

Checkbox control.

Definition at line 2196 of file dxmutgui.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.Checkbox | ( | Dialog | parent | ) |

Create new checkbox instance.

Definition at line 2223 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.Checkbox | ( | Dialog | parent | ) |

Create new checkbox instance.

Definition at line 2223 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.Checkbox | ( | Dialog | parent | ) |

Create new checkbox instance.

Definition at line 2225 of file wdxmutgui.cs.

## Member Function Documentation

override bool Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.ContainsPoint | ( | System.Drawing.Point | pt | ) | `[virtual]`

Does the control contain the point?

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2261 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.ContainsPoint | ( | System.Drawing.Point | pt | ) | `[virtual]`

Does the control contain the point?

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2258 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.ContainsPoint | ( | System.Drawing.Point | pt | ) | `[virtual]`

Does the control contain the point?

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2258 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.HandleKeyboard | ( | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle the keyboard for the checkbox.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.

Definition at line 2324 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.HandleKeyboard | ( | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle the keyboard for the checkbox.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.

Definition at line 2321 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.HandleKeyboard | ( | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle the keyboard for the checkbox.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.

Definition at line 2321 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle mouse messages from the checkbox.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.

Definition at line 2356 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle mouse messages from the checkbox.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.

Definition at line 2353 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle mouse messages from the checkbox.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.

Definition at line 2353 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.OnHotKey | ( |  | ) | `[virtual]`

Override hotkey to fire event.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.

Definition at line 2253 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.OnHotKey | ( |  | ) | `[virtual]`

Override hotkey to fire event.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.

Definition at line 2250 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.OnHotKey | ( |  | ) | `[virtual]`

Override hotkey to fire event.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, Microsoft.Samples.DirectX.UtilityToolkit.RadioButton, and Microsoft.Samples.DirectX.UtilityToolkit.RadioButton.

Definition at line 2250 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.RaiseChangedEvent | ( | Checkbox | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Create new button instance.

Definition at line 2205 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.RaiseChangedEvent | ( | Checkbox | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Create new button instance.

Definition at line 2203 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.RaiseChangedEvent | ( | Checkbox | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Create new button instance.

Definition at line 2203 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the checkbox control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 2285 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the checkbox control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 2282 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the checkbox control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 2282 of file dxmutgui.cs.

Here is the call graph for this function:

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.SetCheckedInternal | ( | bool | ischecked,
|  | bool | fromInput |
| ) |  |  | `[protected, virtual]`

Sets the checked state and fires the event if necessary.

Definition at line 2244 of file wdxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.SetCheckedInternal | ( | bool | ischecked,
|  | bool | fromInput |
| ) |  |  | `[protected, virtual]`

Sets the checked state and fires the event if necessary.

Definition at line 2241 of file dxmutgui.cs.

virtual void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.SetCheckedInternal | ( | bool | ischecked,
|  | bool | fromInput |
| ) |  |  | `[protected, virtual]`

Sets the checked state and fires the event if necessary.

Definition at line 2241 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Update the rectangles.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2268 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Update the rectangles.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2265 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Checkbox.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Update the rectangles.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2265 of file dxmutgui.cs.

## Member Data Documentation

const int Microsoft::Samples::DirectX::UtilityToolkit.Checkbox::BoxLayer = 0

Definition at line 2198 of file dxmutgui.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.Checkbox::buttonRect`[protected]`

Definition at line 2216 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.Checkbox::CheckLayer = 1

Definition at line 2199 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Checkbox::isBoxChecked`[protected]`

Definition at line 2218 of file dxmutgui.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.Checkbox::textRect`[protected]`

Definition at line 2217 of file dxmutgui.cs.

## Property Documentation

bool Microsoft::Samples::DirectX::UtilityToolkit.Checkbox::IsChecked`[get, set]`

Checked property.

Definition at line 2234 of file dxmutgui.cs.

## Event Documentation

EventHandler Microsoft::Samples::DirectX::UtilityToolkit.Checkbox::Changed

Definition at line 2201 of file dxmutgui.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutgui.cs